<?php

namespace Sibs\Models;

use Db;

class PrestashopEmployee extends SibsModels
{
    /**
     * Get Static Table Name.
     *
     * @return bool
     */
    public static function getStaticTableName(): string
    {
        return _DB_PREFIX_ . 'employee';
    }

    /**
     * Get Static Config Name.
     *
     * @return bool
     */
    public static function getStaticConfigName(): string
    {
        return '';
    }

    /**
     * Create Model.
     *
     * @return bool
     */
    public static function create(): bool
    {
        return true;
    }

    /**
     * Seed Model.
     *
     * @return bool
     */
    public static function seed(): bool
    {
        return true;
    }

    /**
     * Get Active Employees.
     *
     * @return void
     */
    public static function getActiveEmployees()
    {
        $table = self::getStaticTableName();

        $sql = "SELECT *
            FROM `{$table}`
            WHERE `id_profile` = 1
            AND `active` = 1 ";

        return Db::getInstance()->ExecuteS($sql);
    }
}
